%define version 2.0.16
%define release 4mdk

Name:		gftp
Summary:	Multithreaded FTP client for X Windows
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	GPL
Group:		Networking/File transfer
URL:		http://www.gftp.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	http://www.gftp.org/%{name}-%{version}.tar.bz2
Source1:	%{name}.icons.tar.bz2
Patch0:		gftp-2.0.13-try-mutex.patch.bz2
Patch1:		gftp-2.0.14-sftp-server.patch.bz2
Patch2:		gftp-2.0.16-64bit-fixes.patch.bz2
Patch3:		gftp-2.0.16-datetime-fixedsort.patch.bz2

BuildRequires:	gtk+2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel

%description
gFTP is a multithreaded FTP client for X Windows written using Gtk. It features
simultaneous downloads, resuming of interrupted file transfers, file transfer
queues, downloading of entire directories, ftp proxy support, remote directory
caching, passive and non-passive file transfers, drag-n-drop, bookmarks menu,
stop button, and many more features.


%prep
%setup -q -a 1
#patch0 -p1
%patch1 -p1 -b .sftp-server
%patch2 -p1 -b .64bit-fixes
%patch3 -p1 -b .datesort

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# menu
mkdir -p  $RPM_BUILD_ROOT/%_menudir

cat <<EOF >$RPM_BUILD_ROOT/%_menudir/%{name}
?package(%{name}): \
 needs="x11" \
 section="Networking/File transfer" \
 title="gFTP" \
 longtitle="FTP client for X Windows" \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 startup_notify="true"
EOF

# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%_liconsdir/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%_iconsdir/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%_miconsdir/%{name}.png

# locale files
%find_lang %{name}


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING THANKS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/gnome/apps/*/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Sun Jan 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.16-4mdk
- patch 3: fix time sort (J.A. Magallon <jamagallon@able.es>)

* Tue Dec  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.16-3mdk
- even more 64-bit fixes

* Mon Dec  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.16-2mdk
- Patch2: 64-bit fixes

* Mon Nov 10 2003 Abel Cheung <deaddog@deaddog.org> 2.0.16-1mdk
- 2.0.16 (Fixes #5065)

* Thu Sep 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.15-2mdk
- fix buildrequires for 64bits ports

* Mon Aug 25 2003 Abel Cheung <deaddog@deaddog.org> 2.0.15-1mdk
- 2.0.15
- convert this spec to UTF-8
- Unapply patch0, source use g_static_mutex_lock to replace
  pthread_mutex_lock (keep patch for now)
- Add StartupNotify to menu
- buildrequires

* Thu Jul 24 2003 Per Ãyvind Karlsen <peroyvind@sintrax.net> 2.0.14-5mdk
- rebuild
- minor cosmetics

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.14-4mdk
- let rpm handle library dependancies

* Mon Jan 27 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.14-3mdk
- Adjust path to sftp-server for sftp connec.

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.14-2mdk
- build release

* Tue Dec 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.14-1mdk
- 2.0.14
- fix file list

* Fri Jul 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.13-2mdk
- update gftp-2.0.13-try-mutex.patch.bz2 (geoffroi lee)

* Fri Jul 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.13-1mdk
- new release

* Thu May 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.12-1mdk
- new release

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.11-3mdk
- Attempt to fix lockup bug

* Fri Jan  4 2002 Han Boetes <han@mijncomputer.nl> 2.0.11-1mdk
- Bump Version
- Changed the iconinstall a bit (idea from GC)

* Tue Dec 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.10-1mdk
- Build a new and shiny 2.0.10 for general usage.

* Sun Nov 25 2001 Han Boetes <han@mijncomputer.nl> 2.0.9-1mdk
- Bump version

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-2mdk
- BuildRequires: glib-devel
- Copyright --> License
- Removed redundantBuildRequires

* Fri Apr 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0.8-1mdk
- 2.0.8
- fixed a doc entry
- Geoff <snailtalk@mandrakesoft.com>
- Hack around an invalid Chinese CN locale directory.

* Thu Apr 05 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0.8pre4-1mdk
- 2.0.8pre4

* Mon Aug 28 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.0.7b-2mdk
- menu entry inside spec file
- crash with gtk+ compiled with debug=no ; backtraced and reported to
  author
- changed icon into official one and added 48x48

* Tue Aug 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.7b-1mdk
- new release
- fix macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7a-2mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.7a-1mdk
- new release

* Mon Jul 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7
- macros

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.6a-5mdk
- patched menu entry, added 32x32 icon

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.6a-4mdk
- added icon

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.6a-3mdk
- added menu entry
- added url

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0.6a-2mdk
- match new group structure

* Wed Dec 22 1999 Vincent Saugey <vince@mandrakesoft.com>
- 2.0.6a
	* More stable version
	* many new improvement (translation, transfert window, etc ..) 

* Mon Nov 1 1999 Vincent Saugey <vincent@mandrakesoft.com>
- 2.0.5a
   *Fixed problem with gFTP forgetting your passwords 
   *When you drag a file from gFTP, it will not send the password over 
   *When you drop a file to gFTP, if there is no password, it will prompt you for one
   *Added Japanese and partian Korean translation and Unicode fixes        
   *Fixed French and German translations. I didn't mark some strings with N_( and some strings got commented out
   *Fixed file handle leak in transfer of files (yikes!) 

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.5
-Added gettext support. A French and German tranlsation is included with this
version. If you would like to do a translation of gFTP, please email
me first just to make sure someone else isn't already doing one. 
-Ifyou right click on the log window, or in the edit bookmarks dialog, it will bring up a menu.
-Added bandwidth throttling        
-Fixed problem with stopping file transfers
-Fixed problem with Use Proxy under the FTP menu not working properly with a http proxy 
-Fixed problem with some file transfers not completing properly        
-Fixed problem with remote editing of files sometimes not working        
-Added manpage, gftp(1) 
-Makefiles are now generated by automake        
-Other small bug fixes and enhancements 

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.0.4pre1

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.3 version :
    * Many bug fixes. I should have all known bugs fixed
    * Now parses some NT, MacOS, and Novell ftp servers output
    * Added support for logging in with the ACCOUNT command
    * Added a users guide for newbies. See USERS-GUIDE
    * You can now disable some columns in the local and remote listboxes in the
      config file. You can also set the columns to auto-resizing
    * Added debian/ directory to main distribution

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Fri Jun 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-2.0.2-1]
- Removed Use same connection option. Now when you download a file, the
  remote window automagically becomes cached, and the file transfer will use
  the same connection. It will only open a second connection when it has to.
- Added support to be able to drag urls from Netscape to the Open URL button
  on the toolbar. Also cleaned up the drag and drop code.
- Added drop down history box on the local and remote directory entry widget
- HTTP Proxy fixups to make it work with squid-2.2.STABLE3. Please email me
  about how this works/doesn't work with other http proxies.
- Added option to show hidden files
- Several bookmarks bug fixes
- Various other small bug fixes
- Added .spec file to main distribution

* Wed May 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-2.0.1-3]
- I have changed installation prefix to /usr instead of /usr/X11R6
  to conform more to RH installations.

* Mon May 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-2.0.1-2]
- Building with gtk+-1.2.3 now because of bugs in gtk+-1.2.2

* Mon May 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-2.0.1-1]
- Changes from 2.0.0 to 2.0.1
- Main screen is now more responsive during downloads
- Various small bug fixes

- Changes from 1.13 to 2.0.0
- Added toolbar with stop button
- Removed connection manager and added Bookmarks menu
- Added tree based bookmark editor
- Added option to preserve file permissions of transfered files
- Added option to use the same connection for downloads
- Added auto-retry option. If you set the number of retries to 0, it will
  keep trying until you either stop it or it logs in
- Removed read() and write() timeouts
- Fixed problem only allowing you to log in on port 21
- Fixed problem with recursively getting remote directories and files
- HTTP proxy fixups
- Many other small bug fixes and enhancements

- Note to users upgrading from a previous version: there are a few config file
  changes:
- If you are using a http proxy, set your use_proxy type in the config
  file to type 100.
- Since gFTP uses a bookmarks menu now, you will have to change your 
  host= lines. A line in the old config file will have:
  host=Debian Sites:Debian:ftp.debian.org:21:/debian:anonymous:@EMAIL@:1
  You will have to change it to something like:
  host=Debian Sites/Debian:ftp.debian.org:21:/debian:anonymous:@EMAIL@:1
  The first column is the menu path. You can have
  Menu/Submenu/Submenu/Debian in order to nest items into submenus.

* Tue Apr  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-1.13-2]
- Installing fixed gftprc available on the home page.

* Wed Mar 31 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-1.13-1]
- Added graphical configuration
- Uses a lot less memory
- Separated all ftp code into gnome-ftp library
- Now prompts the user to reconnect on connect error
- Added much more efficient transfer dialog for when the files exist
- Added local and remote chmod support
- Added support for HTTP proxies
- Added another FTP proxy type
- Added support for EPLF directory listings
- Now uses a configure script to generate the makefile
- Added Save Password feature in the connection manager
- Added more keyboard shortcuts
- Various bug fixes
- Improved internal design

* Tue Feb 16 1999 Ryan Weaver <ryanw@infohwy.com>
  [gftp-1.12-1]
- Added the ability to edit local and remote files
- Added the ability to associate with a file extension a file viewer
  and the default download type (ASCII or BINARY).
- Added anti-idle tool. Please do not abuse this feature
- Better remote symlink handling
- Removed some icons from the distribution
- Added another FTP proxy type
- Several small enhancements


